import { PayloadAction } from '@reduxjs/toolkit';
import { RootState } from '../../app/store';
import { MediaDeviceModel } from './models';
export declare const mediaDeviceSlice: import("@reduxjs/toolkit").Slice<MediaDeviceModel, {
    setSelectedAudioDeviceId: (state: import("immer/dist/internal").WritableDraft<MediaDeviceModel>, action: PayloadAction<string | null>) => void;
    setSelectedVideoDeviceId: (state: import("immer/dist/internal").WritableDraft<MediaDeviceModel>, action: PayloadAction<string | null>) => void;
}, "mediaDevice">;
export declare const setSelectedAudioDeviceId: import("@reduxjs/toolkit").ActionCreatorWithPayload<string | null, string>, setSelectedVideoDeviceId: import("@reduxjs/toolkit").ActionCreatorWithPayload<string | null, string>;
export declare const selectCurrentAudioDeviceId: (state: RootState) => string | null;
export declare const selectCurrentVideoDeviceId: (state: RootState) => string | null;
declare const _default: import("redux").Reducer<MediaDeviceModel, import("redux").AnyAction>;
export default _default;
